Overview

FastStone Player (FSPlayer) is a FREE multimedia player intended to enable users to play all common media files (Windows Media as well as Real Media) within one program with high flexibility and simplicity. It employs a Window-Resource-Explorer user interface to allow ease of media file access. Special but lovable features such as Slow-Motion, Frame-Step, Zoom-In are nicely supported. Track bar controls are used to adjust sound volume, balance and clip position with mouse wheel support easily.


Features

  • Support common media formats: Windows Media and Real Media such as MP3, AVI, MPEG, DivX, xVid, ASF, WMV, WMA, RM, RMA, RMVB and others
  • Slow Motion
  • Frame Step – View the video Frame by Frame for detail and motion observation
  • Video Zoom In
  • Random Play, Lock Play, and Full Screen
  • One Click to switch between Pause and Continue
  • Mouse Wheel Support
  • Skins Support
  • And Much more


System Requirements

  • Windows 98,2000,XP.
  • 64MB RAM
  • DirectX
  • Windows Media Player is required to play Microsoft Windows Media files: ASF, WMV, WMA
  • Real Player is required to play Real Media files: RM, RMA, RMVB
  • Decoders are required for special media formats:
    • FFDShow (for all DivX and Xdiv) recommended
    • Divx.com (for DivX)
    • AC3/DTS Audio


User Guide

Open a file
Pause
Continue a paused file
 Stop
Previous clip
Next clip
Frame Step
Slow motion
Full/Normal Screen
Open/Close Speaker
Best fit video to the window
Lock Playing in a single file
Play randomly

Figure 1: Program Component Layout

Figure 2: Control Panel


Open a file

There are three ways to open a file:

    • Use Folder List and Play List: Select the folder that contains the file in the Folder List Window. All supported files will be displayed in the Play List Window. Click on the file you want to play with the left mouse button.
    • OR use Open File menu or Open File button: Select Open File in File menu or click on Open File button [image] on the control panel under the video display window. An Open file dialog will show up, then select whatever file you want and click on Open button.
    • OR double click on ‘My Computer’ icon in desktop, navigate to the folder that has the media file. Right click on the file and select ‘Play in FastStone Player’ in the popup menu (See Figure 3).

Figure 3: Windows Shell Menu to play media file


Pause

There are three ways to pause a playing file:

    • Click on the Play/Pause button [image] on the control panel,
    • OR press Space Key,
    • OR click on the video window with left mouse button.


Play paused file

Continue a paused file

There are three ways to continue a paused file:

    • Click on the Play/Pause button [image] on the control panel,
    • OR press Space Key,
    • OR click on the video window with left mouse button.


Stop

    • Click on the Stop button [image] on the control panel.


Previous clip

    • Click on the Previous button [image] on the control panel


Next clip

    • Click on the Next button [image] on the control panel


Frame Step

    • Single Click on the Frame Step button [image] on the control panel will step one frame
    • Hold down the Frame Step button [image] will step frames continuously


Slow motion

    • Check Slow-Motion icon [image] on the control panel will play the video must slowly than normal to allow detail and motion observation. This feature does not apply to Real Media files.


Full / Normal Screen

    • Click on Full Screen button [image] / Exit Full Screen button [image] on the control panel.


Open / Close Speaker

    • Check or Uncheck the Speaker icon [image] on the control panel.


Best fit video to the window

    • Check Best Fit icon [image] on the control panel will extend the video displaying area to cover the whole video window.


Lock Playing in a single file

    • Check the Lock icon [image] on the control panel will result in playing the same file repeatedly.


Play randomly

    • Check the Random Play icon [image] on the control panel will ensure the player to play files in a random order.


FAQs

  • Is FSPlayer spyware?

No, FSPlayer is not spyware. wowPlayer does not collect any information from users.

  • Is FSPlayer free?

Yes, FSPlayer is absolutely free! FSPlayer is freeware. You can use and redistribute it for free, no registration is required, and there are NO limitations whatsoever.

  • Does FSPlayer come with an uninstaller? Do I need to uninstall the old copy before I install a new version?

Yes, FSPlayer comes with an uninstaller, but it is not necessary to uninstall the old version before a new one can be installed since the old files are overwritten by default.

  • Why does FSPlayer require Microsoft Media Player to play ASF and WMV files?

Due to reasons of flexibility and copyright, FSPlayer doesn’t provide decoders for Microsoft Media. FSPlayer does provide new features such as Frame-Step and Slow-Motion which are not available in Microsoft Media Player.

  • Why does FSPlayer require Real Player to play RM and RMVB files?

Real Media is a totally different media format which is hard to play with Direct Show. Although there is some sort of decoder available to play Real Media under Direct Show, but the result is not as good as using drivers from www.Real.com. For future enhancement, downloading the latest Real Player can always enable users to play the latest format of RealMedia in FSPlayer.

  • Why can’t I use Step-Frame and Slow-Motion with Real Media files?

Real Media files are played with Real Media drivers, which do not support these features.


Contact Us

FastStone Player is a freeware from FastStone Soft, which is dedicated to Media Processing research. Other products such as image processor may interest you. For new version of FastStone Player or other production information, please visit www.FastStoneServer.com Thank you.